Package org.apache.sling.feature.cpconverter.index

## Class DefaultIndexManager

- java.lang.Object
- - org.apache.sling.feature.cpconverter.index.DefaultIndexManager

All Implemented Interfaces:
  `IndexManager`

    public class DefaultIndexManager
    extends Object
    implements IndexManager

### Field Summary

### Fields inherited from interface org.apache.sling.feature.cpconverter.index.IndexManager

`EXTENSION_NAME`

### Constructor Summary

Constructors
`DefaultIndexManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRepoinitExtension​(FeaturesManager features)` Records the Oak index data using the features manager
`IndexDefinitions` `getIndexes()` Returns the index definitions managed by this instance
`void` `reset()` Resets the internal state

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultIndexManager

    public DefaultIndexManager()

### Method Detail

#### addRepoinitExtension

    public void addRepoinitExtension​(FeaturesManager features)
                              throws IOException,
                                     ConverterException

Description copied from interface: `IndexManager`
Records the Oak index data using the features manager

The index definitions will be recoreded as a JSON repoinit extension named "oak-index-definitions" .

Specified by:
  `addRepoinitExtension` in interface `IndexManager`
Throws:
  `IOException`
  `ConverterException`

#### getIndexes

    public IndexDefinitions getIndexes()

Description copied from interface: `IndexManager`
Returns the index definitions managed by this instance

The returned object may be used to record data discovered about oak indexes

Specified by:
  `getIndexes` in interface `IndexManager`
Returns:
  the index definitions

#### reset

    public void reset()

Description copied from interface: `IndexManager`
Resets the internal state

Specified by:
  `reset` in interface `IndexManager`